<template>
  <div>
    <h1 class="my-2">{{ $t("ProviderEdit.Employees") }}</h1>
    <v-divider class="my-2"></v-divider>
    <v-data-table
      :headers="headers"
      :items="getProvider.employees"
      loading-text="جاري تحميل البيانات"
      no-data-text="لا يوجد بيانات"
      hide-default-footer
      disable-filtering
      disable-pagination
      disable-sort
      class="elevation-1"
    >
      <template v-slot:[`item.isActive`]="{ item }">
        <v-icon v-if="item.isActive" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>

      </template>
      <template v-slot:[`item.workOutside`]="{ item }">
        <v-icon v-if="item.workOutside" color="#bf87a0" class="mt-1 my-1">mdi-check-all</v-icon>
        <v-icon v-else color="#E07979" class="mt-1 my-1">mdi mdi-close-outline</v-icon>
      </template>
      <template v-slot:[`item.holidays`]="{ item }">
        <div v-for="item in item.holidays"
          :key="item">
          <v-chip
          class="ma-1"
          color="#bf87a0"
          text-color="white"

        >
          {{
            item == 0
              ? $t("ProviderEdit.Sunday")
              : item == 1
              ? $t("ProviderEdit.Monday")
              : item == 2
              ? $t("ProviderEdit.Tuesday")
              : item == 3
              ? $t("ProviderEdit.Wednesday")
              : item == 4
              ? $t("ProviderEdit.Thursday")
              : item == 5
              ? $t("ProviderEdit.Friday")
              : item == 6
              ? $t("ProviderEdit.Saturday")
              : ""
          }}
        </v-chip>
        </div>
      </template>
    </v-data-table>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";
export default {
  name: "employees",
  data() {
    return {
      headers: [
        {
          text: this.$i18n.t("common.name"),
          value: "name",
        },
        {
          text: this.$i18n.t("ProviderEdit.Phone"),
          value: "phone",
        },
        {
          text: this.$i18n.t("common.stutas"),
          value: "isActive",
        },
        {
          text: this.$i18n.t("ProviderEdit.imagesCount"),
          value: "imagesCount",
        },
        {
          text: this.$i18n.t("ProviderEdit.From"),
          value: "timeFrom",
        },
        {
          text: this.$i18n.t("ProviderEdit.To"),
          value: "timeTo",
        },

        {
          text: this.$i18n.t("ProviderEdit.workOutside"),
          value: "workOutside",
        },
        {
          text: this.$i18n.t("ProviderEdit.holidays"),
          value: "holidays",
        },
      ],
    };
  },
  mounted() {
    this.fetchSingleProvider(this.$route.params.id);
  },
  methods: {
    ...mapActions("users", ["fetchSingleProvider"]),
  },
  computed: {
    ...mapGetters("users", ["getProvider"]),
  },
};
</script>
